# Changelog

## [v6.0.1](https://github.com/curationexperts/zizia/tree/v6.0.1) (2020-08-07)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v6.0.0...v6.0.1)

**Fixed bugs:**

- Intermittently failing test in CI - Viewing the csv import detail page has pagination for PreIngestWorks [\#82](https://github.com/curationexperts/zizia/issues/82)
- Bundle install not working - seems to get in infinite loop on bundler [\#70](https://github.com/curationexperts/zizia/issues/70)

**Merged pull requests:**

- Loosen dependency requirements slightly for listen gem. [\#104](https://github.com/curationexperts/zizia/pull/104) ([fnibbit](https://github.com/fnibbit))
- Pause in test to avoid timing-dependent failures [\#102](https://github.com/curationexperts/zizia/pull/102) ([fnibbit](https://github.com/fnibbit))
- Stop requiring test migrations be re-run [\#101](https://github.com/curationexperts/zizia/pull/101) ([bess](https://github.com/bess))
- Update ruby and rails version in second CI build [\#100](https://github.com/curationexperts/zizia/pull/100) ([maxkadel](https://github.com/maxkadel))
- Update CI workflow with ruby and rails versions in build [\#99](https://github.com/curationexperts/zizia/pull/99) ([maxkadel](https://github.com/maxkadel))
- Use latest Samvera circleci orb [\#98](https://github.com/curationexperts/zizia/pull/98) ([maxkadel](https://github.com/maxkadel))
- Match CI bundler to local development [\#97](https://github.com/curationexperts/zizia/pull/97) ([maxkadel](https://github.com/maxkadel))
- Remove Travis config - using CircleCI [\#96](https://github.com/curationexperts/zizia/pull/96) ([maxkadel](https://github.com/maxkadel))
- Upgrade capybara to 3.x [\#88](https://github.com/curationexperts/zizia/pull/88) ([fnibbit](https://github.com/fnibbit))
- Loosen gem dependencies slightly [\#87](https://github.com/curationexperts/zizia/pull/87) ([fnibbit](https://github.com/fnibbit))
- Require bundler 2 to avoid dependency loops [\#86](https://github.com/curationexperts/zizia/pull/86) ([fnibbit](https://github.com/fnibbit))
- Cherry pick rescue missing files [\#85](https://github.com/curationexperts/zizia/pull/85) ([maxkadel](https://github.com/maxkadel))
- Update readme to reflect local development practices [\#84](https://github.com/curationexperts/zizia/pull/84) ([maxkadel](https://github.com/maxkadel))
- Update sass-rails to fix dependency calculation [\#83](https://github.com/curationexperts/zizia/pull/83) ([maxkadel](https://github.com/maxkadel))
- Fixing a typo [\#80](https://github.com/curationexperts/zizia/pull/80) ([jeremyf](https://github.com/jeremyf))
- Update bixby to ~\> 2.0 [\#72](https://github.com/curationexperts/zizia/pull/72) ([little9](https://github.com/little9))
- Update button styling [\#71](https://github.com/curationexperts/zizia/pull/71) ([little9](https://github.com/little9))

## [v6.0.0](https://github.com/curationexperts/zizia/tree/v6.0.0) (2019-12-13)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v5.5.0...v6.0.0)

**Merged pull requests:**

- Revert "Basic file status" [\#68](https://github.com/curationexperts/zizia/pull/68) ([little9](https://github.com/little9))
- More detailed file status [\#66](https://github.com/curationexperts/zizia/pull/66) ([little9](https://github.com/little9))

## [v5.5.0](https://github.com/curationexperts/zizia/tree/v5.5.0) (2019-11-21)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v5.4.0...v5.5.0)

**Merged pull requests:**

- Add ID as secondary sort order [\#69](https://github.com/curationexperts/zizia/pull/69) ([little9](https://github.com/little9))
- Add rails 5.2 support [\#67](https://github.com/curationexperts/zizia/pull/67) ([bess](https://github.com/bess))

## [v5.4.0](https://github.com/curationexperts/zizia/tree/v5.4.0) (2019-11-14)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v5.3.0...v5.4.0)

**Merged pull requests:**

- Basic file status [\#65](https://github.com/curationexperts/zizia/pull/65) ([little9](https://github.com/little9))

## [v5.3.0](https://github.com/curationexperts/zizia/tree/v5.3.0) (2019-11-11)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v5.2.0...v5.3.0)

**Merged pull requests:**

- Toggle files table [\#63](https://github.com/curationexperts/zizia/pull/63) ([little9](https://github.com/little9))
- Paginate PreIngestWorks [\#62](https://github.com/curationexperts/zizia/pull/62) ([little9](https://github.com/little9))
- Change count language on preview screen [\#61](https://github.com/curationexperts/zizia/pull/61) ([little9](https://github.com/little9))

## [v5.2.0](https://github.com/curationexperts/zizia/tree/v5.2.0) (2019-11-06)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v5.1.0...v5.2.0)

**Merged pull requests:**

- Update README to include requiring zizia in the application.rb file [\#60](https://github.com/curationexperts/zizia/pull/60) ([little9](https://github.com/little9))
- Remove contrainst from dedupekey [\#59](https://github.com/curationexperts/zizia/pull/59) ([little9](https://github.com/little9))
- Make deduplication\_key a unique field in the database [\#57](https://github.com/curationexperts/zizia/pull/57) ([little9](https://github.com/little9))
- Add works to batch UI [\#56](https://github.com/curationexperts/zizia/pull/56) ([little9](https://github.com/little9))
- Update test solr & fedora to latest known good versions [\#55](https://github.com/curationexperts/zizia/pull/55) ([mark-dce](https://github.com/mark-dce))

## [v5.1.0](https://github.com/curationexperts/zizia/tree/v5.1.0) (2019-11-04)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v5.0.1...v5.1.0)

**Merged pull requests:**

- Add ability to toggle your imports [\#54](https://github.com/curationexperts/zizia/pull/54) ([little9](https://github.com/little9))
- Add deduplication\_key to Zizia::PreIngestWork model [\#53](https://github.com/curationexperts/zizia/pull/53) ([bess](https://github.com/bess))
- WIP: Initial batch sorting [\#52](https://github.com/curationexperts/zizia/pull/52) ([little9](https://github.com/little9))
-  Show more info on batch page [\#51](https://github.com/curationexperts/zizia/pull/51) ([little9](https://github.com/little9))
- Only show the basename for PreIngestFile [\#50](https://github.com/curationexperts/zizia/pull/50) ([little9](https://github.com/little9))
- Add Date to details page [\#49](https://github.com/curationexperts/zizia/pull/49) ([little9](https://github.com/little9))
- Set import details pagination to 10 [\#48](https://github.com/curationexperts/zizia/pull/48) ([little9](https://github.com/little9))
- Use DCE's standard caypbara config [\#47](https://github.com/curationexperts/zizia/pull/47) ([little9](https://github.com/little9))
- Update README.md [\#46](https://github.com/curationexperts/zizia/pull/46) ([little9](https://github.com/little9))

## [v5.0.1](https://github.com/curationexperts/zizia/tree/v5.0.1) (2019-10-23)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v5.0.0...v5.0.1)

**Merged pull requests:**

- Change glyphicons on import form [\#45](https://github.com/curationexperts/zizia/pull/45) ([little9](https://github.com/little9))
- Add font-family to submit button [\#44](https://github.com/curationexperts/zizia/pull/44) ([little9](https://github.com/little9))

## [v5.0.0](https://github.com/curationexperts/zizia/tree/v5.0.0) (2019-10-16)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v4.6.0.alpha01...v5.0.0)

**Merged pull requests:**

- Update headers for the downloadable CSV template [\#43](https://github.com/curationexperts/zizia/pull/43) ([mark-dce](https://github.com/mark-dce))
- Update design of new CSV import page [\#42](https://github.com/curationexperts/zizia/pull/42) ([mark-dce](https://github.com/mark-dce))
- Update to correct spelling for keyword field [\#41](https://github.com/curationexperts/zizia/pull/41) ([mark-dce](https://github.com/mark-dce))

## [v4.6.0.alpha01](https://github.com/curationexperts/zizia/tree/v4.6.0.alpha01) (2019-10-15)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v4.5.4.alpha.01...v4.6.0.alpha01)

**Merged pull requests:**

- Use yes/no language in the metadata guide [\#40](https://github.com/curationexperts/zizia/pull/40) ([bess](https://github.com/bess))
- Add dashboard layout to csv import screens [\#39](https://github.com/curationexperts/zizia/pull/39) ([bess](https://github.com/bess))
- Update Usage data for the metadata field guide [\#38](https://github.com/curationexperts/zizia/pull/38) ([mark-dce](https://github.com/mark-dce))
- Update language for multiple values on metadata field guide [\#37](https://github.com/curationexperts/zizia/pull/37) ([bess](https://github.com/bess))
- Add intro header for metadata field guide [\#36](https://github.com/curationexperts/zizia/pull/36) ([bess](https://github.com/bess))
- Add field definitions for 'files' and 'visibility' to the field guide [\#35](https://github.com/curationexperts/zizia/pull/35) ([mark-dce](https://github.com/mark-dce))
- Label and hide system fields [\#34](https://github.com/curationexperts/zizia/pull/34) ([bess](https://github.com/bess))

## [v4.5.4.alpha.01](https://github.com/curationexperts/zizia/tree/v4.5.4.alpha.01) (2019-10-04)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v4.5.3.alpha.01...v4.5.4.alpha.01)

**Merged pull requests:**

- Remove 'in Bytes' from import table headers [\#33](https://github.com/curationexperts/zizia/pull/33) ([little9](https://github.com/little9))

## [v4.5.3.alpha.01](https://github.com/curationexperts/zizia/tree/v4.5.3.alpha.01) (2019-10-03)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v4.5.2.alpha.01...v4.5.3.alpha.01)

**Merged pull requests:**

- Add files count to import details page [\#32](https://github.com/curationexperts/zizia/pull/32) ([little9](https://github.com/little9))

## [v4.5.2.alpha.01](https://github.com/curationexperts/zizia/tree/v4.5.2.alpha.01) (2019-10-03)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v4.5.1.alpha.01...v4.5.2.alpha.01)

**Merged pull requests:**

- Explicitly include JS for the import UI [\#31](https://github.com/curationexperts/zizia/pull/31) ([little9](https://github.com/little9))

## [v4.5.1.alpha.01](https://github.com/curationexperts/zizia/tree/v4.5.1.alpha.01) (2019-10-02)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v4.4.1.alpha.01...v4.5.1.alpha.01)

**Merged pull requests:**

- Correct path to generate file size and change row count [\#30](https://github.com/curationexperts/zizia/pull/30) ([little9](https://github.com/little9))

## [v4.4.1.alpha.01](https://github.com/curationexperts/zizia/tree/v4.4.1.alpha.01) (2019-10-02)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v4.4.0.alpha.01...v4.4.1.alpha.01)

**Merged pull requests:**

- Rename CSV Template link and filename [\#29](https://github.com/curationexperts/zizia/pull/29) ([little9](https://github.com/little9))

## [v4.4.0.alpha.01](https://github.com/curationexperts/zizia/tree/v4.4.0.alpha.01) (2019-10-02)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v4.3.1.alpha.01...v4.4.0.alpha.01)

**Merged pull requests:**

- Add CSV Import Detail pages from dlp-curate [\#28](https://github.com/curationexperts/zizia/pull/28) ([little9](https://github.com/little9))

## [v4.3.1.alpha.01](https://github.com/curationexperts/zizia/tree/v4.3.1.alpha.01) (2019-10-02)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v4.2.0.alpha.01...v4.3.1.alpha.01)

**Merged pull requests:**

- Return attrs from process\_attrs method [\#27](https://github.com/curationexperts/zizia/pull/27) ([little9](https://github.com/little9))
- Add create\_date usage and remove erroneous pre-import message [\#26](https://github.com/curationexperts/zizia/pull/26) ([little9](https://github.com/little9))

## [v4.2.0.alpha.01](https://github.com/curationexperts/zizia/tree/v4.2.0.alpha.01) (2019-10-01)

[Full Changelog](https://github.com/curationexperts/zizia/compare/vv4.2.0.alpha.01...v4.2.0.alpha.01)

## [vv4.2.0.alpha.01](https://github.com/curationexperts/zizia/tree/vv4.2.0.alpha.01) (2019-10-01)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v4.1.0.alpha.01...vv4.2.0.alpha.01)

**Merged pull requests:**

- Add dynamically generated metadata guide [\#25](https://github.com/curationexperts/zizia/pull/25) ([little9](https://github.com/little9))

## [v4.1.0.alpha.01](https://github.com/curationexperts/zizia/tree/v4.1.0.alpha.01) (2019-09-30)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v4.0.2.alpha.01...v4.1.0.alpha.01)

**Merged pull requests:**

- Check for existing roles [\#24](https://github.com/curationexperts/zizia/pull/24) ([little9](https://github.com/little9))
- Revert "Update coverage formatter for CI environments" [\#23](https://github.com/curationexperts/zizia/pull/23) ([mark-dce](https://github.com/mark-dce))
- Update coverage formatter for CI environments [\#22](https://github.com/curationexperts/zizia/pull/22) ([mark-dce](https://github.com/mark-dce))

## [v4.0.2.alpha.01](https://github.com/curationexperts/zizia/tree/v4.0.2.alpha.01) (2019-09-25)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v4...v4.0.2.alpha.01)

## [v4](https://github.com/curationexperts/zizia/tree/v4) (2019-09-25)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v4.0.0.alpha.01...v4)

## [v4.0.0.alpha.01](https://github.com/curationexperts/zizia/tree/v4.0.0.alpha.01) (2019-09-25)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v3.1.0.alpha.01...v4.0.0.alpha.01)

**Merged pull requests:**

- Additional coveralls config [\#21](https://github.com/curationexperts/zizia/pull/21) ([little9](https://github.com/little9))
- Add additional updaters [\#20](https://github.com/curationexperts/zizia/pull/20) ([little9](https://github.com/little9))
- Add ability to choose between files or no files during import [\#19](https://github.com/curationexperts/zizia/pull/19) ([little9](https://github.com/little9))
- Add full Hyrax dummy [\#18](https://github.com/curationexperts/zizia/pull/18) ([little9](https://github.com/little9))

## [v3.1.0.alpha.01](https://github.com/curationexperts/zizia/tree/v3.1.0.alpha.01) (2019-09-12)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v3.0.0.alpha.01...v3.1.0.alpha.01)

**Merged pull requests:**

- Add CsvImportDetail model and associated models [\#17](https://github.com/curationexperts/zizia/pull/17) ([little9](https://github.com/little9))
- Allow upload and cache path for CSV to be changed [\#16](https://github.com/curationexperts/zizia/pull/16) ([little9](https://github.com/little9))

## [v3.0.0.alpha.01](https://github.com/curationexperts/zizia/tree/v3.0.0.alpha.01) (2019-08-23)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v2.1.0.alpha.09...v3.0.0.alpha.01)

**Merged pull requests:**

- Let's not reinvent logging [\#15](https://github.com/curationexperts/zizia/pull/15) ([bess](https://github.com/bess))

## [v2.1.0.alpha.09](https://github.com/curationexperts/zizia/tree/v2.1.0.alpha.09) (2019-08-23)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v2.1.0.alpha.08...v2.1.0.alpha.09)

**Merged pull requests:**

- Update CI badge [\#14](https://github.com/curationexperts/zizia/pull/14) ([bess](https://github.com/bess))
- Make zizia events easier to find in logs [\#13](https://github.com/curationexperts/zizia/pull/13) ([bess](https://github.com/bess))

## [v2.1.0.alpha.08](https://github.com/curationexperts/zizia/tree/v2.1.0.alpha.08) (2019-08-16)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v2.1.0.alpha.07...v2.1.0.alpha.08)

**Merged pull requests:**

- Generate CSV Template from configured metadata mapper [\#12](https://github.com/curationexperts/zizia/pull/12) ([little9](https://github.com/little9))

## [v2.1.0.alpha.07](https://github.com/curationexperts/zizia/tree/v2.1.0.alpha.07) (2019-08-07)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v2.1.0.alpha.06...v2.1.0.alpha.07)

**Merged pull requests:**

- Fixes for path settings [\#11](https://github.com/curationexperts/zizia/pull/11) ([little9](https://github.com/little9))

## [v2.1.0.alpha.06](https://github.com/curationexperts/zizia/tree/v2.1.0.alpha.06) (2019-08-06)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v2.1.0.alpha.05...v2.1.0.alpha.06)

**Merged pull requests:**

- Move importer\_documentation views [\#10](https://github.com/curationexperts/zizia/pull/10) ([little9](https://github.com/little9))

## [v2.1.0.alpha.05](https://github.com/curationexperts/zizia/tree/v2.1.0.alpha.05) (2019-08-01)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v2.1.0.alpha.04...v2.1.0.alpha.05)

**Merged pull requests:**

- Change paths in CSS and JS to work in parent Rails app [\#9](https://github.com/curationexperts/zizia/pull/9) ([little9](https://github.com/little9))

## [v2.1.0.alpha.04](https://github.com/curationexperts/zizia/tree/v2.1.0.alpha.04) (2019-08-01)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v2.1.0.alpha.02...v2.1.0.alpha.04)

**Merged pull requests:**

- Add missing assets [\#8](https://github.com/curationexperts/zizia/pull/8) ([little9](https://github.com/little9))
- Coveralls [\#7](https://github.com/curationexperts/zizia/pull/7) ([bess](https://github.com/bess))

## [v2.1.0.alpha.02](https://github.com/curationexperts/zizia/tree/v2.1.0.alpha.02) (2019-07-30)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v2...v2.1.0.alpha.02)

**Merged pull requests:**

- Rename database migrations [\#6](https://github.com/curationexperts/zizia/pull/6) ([little9](https://github.com/little9))

## [v2](https://github.com/curationexperts/zizia/tree/v2) (2019-07-29)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v2.1.0.alpha.01...v2)

## [v2.1.0.alpha.01](https://github.com/curationexperts/zizia/tree/v2.1.0.alpha.01) (2019-07-29)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v2.0.0.alpha.01...v2.1.0.alpha.01)

**Merged pull requests:**

- Fixes to allow compatibility with Tenejo [\#5](https://github.com/curationexperts/zizia/pull/5) ([little9](https://github.com/little9))
- Add rake task to zizia docs [\#4](https://github.com/curationexperts/zizia/pull/4) ([bess](https://github.com/bess))

## [v2.0.0.alpha.01](https://github.com/curationexperts/zizia/tree/v2.0.0.alpha.01) (2019-07-27)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v1.0.1...v2.0.0.alpha.01)

**Merged pull requests:**

- Upgrade dependencies [\#3](https://github.com/curationexperts/zizia/pull/3) ([bess](https://github.com/bess))
- Easily override default metadata mapping [\#2](https://github.com/curationexperts/zizia/pull/2) ([bess](https://github.com/bess))
- Initial Engine [\#1](https://github.com/curationexperts/zizia/pull/1) ([little9](https://github.com/little9))

## [v1.0.1](https://github.com/curationexperts/zizia/tree/v1.0.1) (2019-07-25)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v3.2.2...v1.0.1)

## [v3.2.2](https://github.com/curationexperts/zizia/tree/v3.2.2) (2019-04-04)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v3.2.1...v3.2.2)

## [v3.2.1](https://github.com/curationexperts/zizia/tree/v3.2.1) (2019-04-04)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v3.2.0...v3.2.1)

## [v3.2.0](https://github.com/curationexperts/zizia/tree/v3.2.0) (2019-03-05)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v3.1.1...v3.2.0)

## [v3.1.1](https://github.com/curationexperts/zizia/tree/v3.1.1) (2019-02-26)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v3.1.0...v3.1.1)

## [v3.1.0](https://github.com/curationexperts/zizia/tree/v3.1.0) (2019-02-26)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v3.0.5...v3.1.0)

## [v3.0.5](https://github.com/curationexperts/zizia/tree/v3.0.5) (2019-02-26)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v3.0.4...v3.0.5)

## [v3.0.4](https://github.com/curationexperts/zizia/tree/v3.0.4) (2019-02-22)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v3.0.3...v3.0.4)

## [v3.0.3](https://github.com/curationexperts/zizia/tree/v3.0.3) (2019-02-21)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v3.0.2...v3.0.3)

## [v3.0.2](https://github.com/curationexperts/zizia/tree/v3.0.2) (2019-02-21)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v3.0.1...v3.0.2)

## [v3.0.1](https://github.com/curationexperts/zizia/tree/v3.0.1) (2019-02-14)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v3.0.0...v3.0.1)

## [v3.0.0](https://github.com/curationexperts/zizia/tree/v3.0.0) (2019-02-13)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v2.2.0...v3.0.0)

## [v2.2.0](https://github.com/curationexperts/zizia/tree/v2.2.0) (2019-02-13)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v2.1.0...v2.2.0)

## [v2.1.0](https://github.com/curationexperts/zizia/tree/v2.1.0) (2019-02-12)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v2.0.0...v2.1.0)

## [v2.0.0](https://github.com/curationexperts/zizia/tree/v2.0.0) (2019-02-04)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v1.2.3...v2.0.0)

## [v1.2.3](https://github.com/curationexperts/zizia/tree/v1.2.3) (2019-01-24)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v1.2.2...v1.2.3)

## [v1.2.2](https://github.com/curationexperts/zizia/tree/v1.2.2) (2019-01-24)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v1.2.1...v1.2.2)

## [v1.2.1](https://github.com/curationexperts/zizia/tree/v1.2.1) (2019-01-24)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v1.2.0...v1.2.1)

## [v1.2.0](https://github.com/curationexperts/zizia/tree/v1.2.0) (2019-01-03)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v1.1.0...v1.2.0)

## [v1.1.0](https://github.com/curationexperts/zizia/tree/v1.1.0) (2018-12-18)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v1.0.0...v1.1.0)

## [v1.0.0](https://github.com/curationexperts/zizia/tree/v1.0.0) (2018-01-29)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v1.0.0.pre.rc1...v1.0.0)

## [v1.0.0.pre.rc1](https://github.com/curationexperts/zizia/tree/v1.0.0.pre.rc1) (2018-01-25)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v0.3.0...v1.0.0.pre.rc1)

## [v0.3.0](https://github.com/curationexperts/zizia/tree/v0.3.0) (2018-01-19)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v0.2.0...v0.3.0)

## [v0.2.0](https://github.com/curationexperts/zizia/tree/v0.2.0) (2018-01-17)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v0.1.1...v0.2.0)

## [v0.1.1](https://github.com/curationexperts/zizia/tree/v0.1.1) (2018-01-12)

[Full Changelog](https://github.com/curationexperts/zizia/compare/v0.1.0...v0.1.1)

## [v0.1.0](https://github.com/curationexperts/zizia/tree/v0.1.0) (2018-01-11)

[Full Changelog](https://github.com/curationexperts/zizia/compare/3d82f40f28eb65607837bd832c3dd46e3a305361...v0.1.0)



\* *This Changelog was automatically generated by [github_changelog_generator](https://github.com/github-changelog-generator/github-changelog-generator)*
